Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class SilentEmbedderMonitor

    java.lang.Object
      org.jbehave.core.embedder.NullEmbedderMonitor
          org.jbehave.core.embedder.PrintStreamEmbedderMonitor
              org.jbehave.core.embedder.SilentEmbedderMonitor

All Implemented Interfaces:
  EmbedderMonitor

    public class SilentEmbedderMonitor

extends PrintStreamEmbedderMonitor

Monitor that reports nothing

Constructor Summary
`SilentEmbedderMonitor(PrintStream output)`

Method Summary
`protected void` | `print(String message)`
`protected void` | `printStackTrace(Throwable e)`

Methods inherited from class org.jbehave.core.embedder.PrintStreamEmbedderMonitor
`annotatedInstanceNotOfType, batchFailed, beforeOrAfterStoriesFailed, embeddableFailed, embeddableNotConfigurable, embeddablesSkipped, generatingMapsView, generatingNavigatorView, generatingReportsView, mappingStory, mapsViewGenerationFailed, metaNotAllowed, navigatorViewGenerationFailed, navigatorViewNotGenerated, processingSystemProperties, reportsViewFailures, reportsViewGenerated, reportsViewGenerationFailed, reportsViewNotGenerated, runningEmbeddable, runningStory, runningWithAnnotatedEmbedderRunner, storiesNotAllowed, storiesSkipped, storyFailed, storyTimeout, systemPropertySet, toString, usingControls, usingExecutorService, usingThreads`

Methods inherited from class org.jbehave.core.embedder.NullEmbedderMonitor
`storiesNotAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SilentEmbedderMonitor

    public SilentEmbedderMonitor(PrintStream output)

Method Detail

### print

    protected void print(String message)

  Overrides:
    `print` in class `PrintStreamEmbedderMonitor`

### printStackTrace

    protected void printStackTrace(Throwable e)

  Overrides:
    `printStackTrace` in class `PrintStreamEmbedderMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.